Bug 80571 - EDITING: Freezing caused by specific edit sequence (undoing CTRL+Backspace of tab on a new line)
Summary: EDITING: Freezing caused by specific edit sequence (undoing CTRL+Backspace of...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.8
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-06-26 19:13 UTC by Jesse
Modified: 2015-12-17 08:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Bugged output (see beginning & end of the middle line) (54.84 KB, image/png)
2014-06-26 19:13 UTC, Jesse
Details
sample backtrace (3.28 KB, application/zip)
2014-06-29 01:45 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2014-06-26 19:13:45 UTC
Created attachment 101825 [details]
Bugged output (see beginning & end of the middle line)

This causes LibreOffice to freeze beyond the ability to close out, and requires the use of the "kill" command to clear up the orphan processes:
Indent a newline with a tab, use CTRL+Backspace to delete. If you attempted to undo, it appends !!br0ken!! to the document and completely freezes. One can't use the "force close" dialog that eventually comes up to quit, I instead have had to use xkill, but this leaves orphan processes that I had to kill manually.

I am running a recently-installed Linux Mint 17 (Ubuntu version, not Debian version) on a quad core system with 16 gb of RAM (no issues there). I ran a full APT upgrade after experiencing the issue and rebooted, but no change.

I tried the sequence a few different time, and it only seems to occur if you're using CTRL+backspace and the tab you're trying to delete is at the beginning of a new line.
Comment 1 tommy27 2014-06-27 17:45:53 UTC
tested under Win7x64 using LO 4.2.4.2
I can reproduce till the !!br0ken!!! appearance however then my LibO doesn't freeze
Comment 2 Yousuf Philips (jay) (retired) 2014-06-29 01:44:24 UTC
Confirmed it freezes in Linux Mint in 4.2.5. In 4.1.6 and 4.3.0, !!broken!! doesnt appear or freeze.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-29 01:45:51 UTC
Created attachment 101953 [details]
sample backtrace
Comment 4 Joel Madero 2014-07-16 02:37:35 UTC
So if it's fixed in 4.3 very unlikely that it'll be backported unless someone can dig through this bibisect and find the commit quickly as 4.2.7 is the last planned release - else we'll close as WORKSFORME as it's technically fixed.

@MMeeks and MStahl -- cc'ing you both to see if you can locate the patch that fixed the crash and determine if we can backport it or if we should close this as WFM. I assume that enterprise users will keep 4.2 for a substantial period past EOL (until 4.3 is to at least 4.3.3).


THIS IS A REVERSE BIBISECT - so it should contain the patch that fixed the problem.

f1e56b0f09e0a75b8970a8b9892298f0ca210200 is the first bad commit
commit f1e56b0f09e0a75b8970a8b9892298f0ca210200
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 02:22:13 2014 +0000

    source-hash-eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f
    
    commit eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f
    Author:     Marcos Paulo de Souza <marcos.souza.org@gmail.com>
    AuthorDate: Tue Jan 14 13:09:33 2014 -0200
    Commit:     Matúš Kukan <matus.kukan@collabora.com>
    CommitDate: Thu Jan 16 10:26:04 2014 +0100
    
        fdo#54938: Convert filter to cppu::supportsService
    
        final part
    
        Change-Id: If9387b4f7aa8ca694092f51eabeac096c71347eb

:100644 100644 3e197ed074c9d37c20514d7ad671bb9b14fc9e43 078d4fe451f07f1d344efdf613645d01e477cad9 M	ccache.log
:100644 100644 8b7fb2264ddbbe0b6ce62df55df3cc17d4094fcb a60d1828ec08b802f939c6ab9ced8d795a09f8ba M	commitmsg
:100644 100644 ec16c05dc4818fa880ea7db9663c1512dc9f2a7b 8e5a1ba748a7ca66a673cdbc5ca39f024406a1e8 M	make.log
:040000 040000 5a80d6cbdd314c2de7ed5961665c1af9f4a4b053 ed375e6fe30120b84a779265ef85d1f35bab1852 M	opt



# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect bad a900e72b6357882284c5955bdf939bf14269f5fb
# bad: [e1d0365cd2b073a859f59ad0a4584385a66dc611] source-hash-2eea96c702a44ab009743b0d22ef639127f0b57b
git bisect bad e1d0365cd2b073a859f59ad0a4584385a66dc611
# bad: [98a55bf95f3ec29298751fd8fba76dd2236dce43] source-hash-58dfc97ca697875c36b7ddf14f5505a93d7b9cf8
git bisect bad 98a55bf95f3ec29298751fd8fba76dd2236dce43
# bad: [92ca7e7dd4470107453ce3e99f3675387f91bf24] source-hash-ed5065d8b080bfaf51ea1232cebf3ff72af1e640
git bisect bad 92ca7e7dd4470107453ce3e99f3675387f91bf24
# good: [6b545103ded12a7a1e7b490734eb094344a0f3ca] source-hash-76702bc75d79dee09a01c57c68e49efa5664c355
git bisect good 6b545103ded12a7a1e7b490734eb094344a0f3ca
# good: [5023c3e436e8a445b700a81bd4a404673084678a] source-hash-5da974369d01760b336de34e68c03d7268d2d330
git bisect good 5023c3e436e8a445b700a81bd4a404673084678a
# bad: [77962b3d9a08d8c7177b2c67da6ed1c5bc26572c] source-hash-d1ba55a28cd40134356faf3e01971491086591d9
git bisect bad 77962b3d9a08d8c7177b2c67da6ed1c5bc26572c
# bad: [f1e56b0f09e0a75b8970a8b9892298f0ca210200] source-hash-eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f
git bisect bad f1e56b0f09e0a75b8970a8b9892298f0ca210200
# first bad commit: [f1e56b0f09e0a75b8970a8b9892298f0ca210200] source-hash-eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f
Comment 5 Björn Michaelsen 2014-10-11 13:45:54 UTC
Reverse bibisect range 5da974369d01760b336de34e68c03d7268d2d330..eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f has 19 witer commits, but not one that immediately pops up as fix => needs manual bisect.
Comment 6 Michael Stahl (CIB) 2014-11-26 23:28:51 UTC
was fixed by:

commit 16c565461b40c6876e69dc7bcc18f7c4db7fb94d
Author:     Caolán McNamara <caolanm@redhat.com>
AuthorDate: Wed Jan 15 10:45:41 2014 +0000


... bit late for 4.2 now though
Comment 7 Michael Stahl (CIB) 2014-12-12 22:02:47 UTC
actually was backported to the unplanned 4.2.8 release,
commit 383535196f9924202fc997c388e34a7865a2250e
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:24:38 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]